Jump to content

# Hardware raytracing

3 languages

- Français
- Polski
- 日本語

From ArchWiki

This article or section needs expansion.

Reason: This article needs feedback from users with compatible Intel & AMD hardware to expand its scope and accuracy (Discuss in Talk:Hardware raytracing)

This page will serve as a guide to the current state of Hardware raytracing support on Linux as well as provide information on how to set everything up.

In all cases it is assumed you will be running the game through Proton, VKD3D is required, DXVK will not work.

Note: Using raytracing requires that you set some environment variables, these can be set globally or per user.

## AMD

AMD RDNA2 GPUs offer hardware raytracing support through onboard compute units, current performance is mixed. Since mesa 23, raytracing is enabled on a per game basis, and from mesa 23.2 raytracing will be enabled by default for all applications.

- GPU - AMD RDNA2 series or newer
- Driver - mesa 23 or newer, amdvlk or vulkan-radeon

### Usage

For mesa versions below 23.2, use the following environment variables:

    RADV_PERFTEST='rt'

## Intel

Intel ARC GPUs offer hardware raytracing support through onboard TSUs, current performance is mixed.

- GPU - Intel ARC GD/2 series or newer
- Driver - mesa 22.3 or newer, vulkan-intel
- Kernel - linux-firmware (firmware is needed for GuC support)

### Usage

Use the following environment variables:

    VKD3D_CONFIG=dxr11,dxr

## NVIDIA

NVIDIA's raytracing implementation for Linux is pretty much on par with Windows, that is to say, with supported hardware and the correct drivers RTX works well on Linux.

- GPU - Any card with the RTX moniker (RTX 2060+, RTX 3050+, RTX 4050+)
- Driver - nvidia 510.60.02 or newer with nvidia-utils and nvidia-settings (with their lib32 variants)

### Usage

Use the following environment variables:

    VKD3D_CONFIG=dxr11,dxr
    PROTON_ENABLE_NVAPI=1
    PROTON_ENABLE_NGX_UPDATER=1

Note: This configuration will enable support for both Deep Learning Super Sampling and RTX.

## Testing

Install the package raytracinginvulkan-gitAUR then from a terminal run:

    $ cd /opt/raytracinginvulkan/bin/
    $ ./RayTracer

Categories:

- Gaming
- Hardware

Hidden category:

- Pages or sections flagged with Template:Expansion